
Web Audio Evaluation Tool - Bug #1395
Test timer - ignore time before first song is played
2015-09-11 12:04 PM - Brecht De Man

Status: Resolved Start date: 2015-09-11
Priority: High Due date:
Assignee: Nicholas Jillings % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

As far as I can tell, at the moment the 'test time' is measured throughout the test, from when the page is loaded. 
Ideally, this should NOT include survey questions, instructions, or just having the page open awaiting a subject. Could it be checked
and fixed that the test timer starts from the first sample playback (reference or otherwise)?

History
#1 - 2015-09-15 09:16 AM - Nicholas Jillings

The test time starts once the first fragment on the first page is selected and is stopped by the submit button on the last page. Do we want a separate
timer for each page as well then?

#2 - 2015-09-15 12:07 PM - Brecht De Man
- File Screen Shot 2015-09-15 at 11.56.13.png added

I think that's a good way to calculate the total test time. I wasn't sure if this was the case and Dave flagged there were long periods before anything
happened on the timeline (I can confirm this from my data as well) and wondered if this was time between setting up the test and waiting for the
participant to start, or maybe answering survey questions. 
People also sometime take a long break during the test... 
Perhaps this doesn't need to be implemented differently in the test, but would be something to take care of in the analysis stage (i.e. only measure time
from the first playback to the end of the last playback on any given page). I'm not sure at this point and would be happy to hear both your thoughts. I
may be doing something wrong here so will have another look.

#3 - 2015-12-07 10:39 AM - Nicholas Jillings

Are these long gaps in your results all on pages which were not the first test?

#4 - 2016-02-02 11:41 AM - Nicholas Jillings
- Status changed from New to Resolved

This should be fixed now in dev_main. There is no global test time anymore but adding up the test pages would give the same total time.
